Page MenuHomePhabricator

Advanced Eo classes
Closed, ResolvedPublic

Description

This would cover interfaces, mixin and multi inheritance as well as efl_data_scope_get (Which return data only valid for as long as the object is alive and might point to invalid pointer if the object is dead) and the efl_data_ref/unref for forcing the object to be kept alive.

Hopefully illustrate how efl_override can be used to override a single method.

cedric created this task.Nov 2 2017, 11:42 AM
segfaultxavi renamed this task from Advance Eo class to Advanced Eo classes.Nov 13 2017, 2:11 AM
ajwillia.ms updated the task description. (Show Details)Nov 15 2017, 8:53 AM
segfaultxavi closed this task as Resolved.Nov 23 2017, 2:04 AM
segfaultxavi claimed this task.